%global octpkg gsl

Name:		octave-%{octpkg}
Version:	1.0.8
Release:	1%{?dist}
Summary:	Octave bindings to the GNU Scientific Library
Group:		Applications/Engineering
# Some test files are GPLv3+ but they're not shipped.
License:	GPLv2+
URL:		http://octave.sourceforge.net/gsl/
Source0:	http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz

BuildRequires:	octave-devel
BuildRequires:	gsl-devel

Requires:	octave(api) = %{octave_api}
Requires(post):	octave
Requires(postun): octave
Obsoletes:	octave-forge <= 20090607

%description
The octave-gsl package provides an Octave binding to functions
in the Gnu Scientific Library, such as
* Airy functions
* Bessel functions
* Conical functions
* Debye functions
* Riemann Beta and Gamma functions
* Sine and cosine integrals
* Wigner coefficients 3-j, 6-j and 9-j coefficients

%prep
%setup -q -n %{octpkg}-%{version}

%build
%octave_pkg_build

%install
rm -rf %{buildroot}
%octave_pkg_install

# Get rid of spurious documentation
rm -rf %{buildroot}%{octpkgdir}/doc
# and of test files
rm %{buildroot}%{octpkgdir}/test_*.c

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%doc ChangeLog COPYING INDEX

%{octpkglibdir}
%dir %{octpkgdir}
%{octpkgdir}/*.m
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/packinfo

%changelog
* Sat Aug 27 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.0.8-1
- Initial release.
